searchData={"items":[{"type":"module","title":"HipcallOpenai","doc":"Documentation for `HipcallOpenai`.","ref":"HipcallOpenai.html"},{"type":"function","title":"HipcallOpenai.model/2","doc":"","ref":"HipcallOpenai.html#model/2"},{"type":"function","title":"HipcallOpenai.models/1","doc":"","ref":"HipcallOpenai.html#models/1"},{"type":"module","title":"HipcallOpenai.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"HipcallOpenai.Config.html"},{"type":"function","title":"HipcallOpenai.Config.api_key/0","doc":"","ref":"HipcallOpenai.Config.html#api_key/0"},{"type":"function","title":"HipcallOpenai.Config.api_organization/0","doc":"","ref":"HipcallOpenai.Config.html#api_organization/0"},{"type":"function","title":"HipcallOpenai.Config.api_url/0","doc":"","ref":"HipcallOpenai.Config.html#api_url/0"},{"type":"extras","title":"HipcallOpenai","doc":"# HipcallOpenai\n\nUnofficial OpenAI API Wrapper written in Elixir.\n\nThis Hex package is beta right now. [Please use another one](https://hex.pm/packages?search=openai&sort=name).","ref":"readme.html"},{"type":"extras","title":"Installation - HipcallOpenai","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `hipcall_openai` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:hipcall_openai, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Configuration override - HipcallOpenai","doc":"Client library configuration can be overwritten in runtime by passing a %HipcallOpenai.Config{} \nstruct as last argument of the function you need to use. For instance if you need to use a different \napi_key you can simply do:\n\n```elixir\nconfig_override = %HipcallOpenai.Config{api_key: \"mTRwVrbZ4aoHTyjMepleT3BlbkFJ7zZYazuN7F16XuY3WErl\"}\n# pass the overriden configuration as last argument of the function\nHipcallOpenai.models(config_override)\n```","ref":"readme.html#configuration-override"},{"type":"extras","title":"Use - HipcallOpenai","doc":"#","ref":"readme.html#use"},{"type":"extras","title":"Models - HipcallOpenai","doc":"##","ref":"readme.html#models"},{"type":"extras","title":"List - HipcallOpenai","doc":"https://platform.openai.com/docs/api-reference/models\n\n```elixir\niex(1)> HipcallOpenai.models(config_override)\n{:ok,\n %{\n   \"data\" => [\n     %{\n       \"created\" => 1686588896,\n       \"id\" => \"gpt-4-0613\",\n       \"object\" => \"model\",\n       \"owned_by\" => \"openai\"\n     },\n     %{\n       \"created\" => 1651172509,\n       \"id\" => \"curie-search-query\",\n       \"object\" => \"model\",\n       \"owned_by\" => \"openai-dev\"\n     },\n     %{\n       \"created\" => 1687882411,\n       \"id\" => \"gpt-4\",\n       \"object\" => \"model\",\n       \"owned_by\" => \"openai\"\n     },\n     %{\n       \"created\" => 1651172509,\n       \"id\" => \"babbage-search-query\",\n       \"object\" => \"model\",\n       \"owned_by\" => \"openai-dev\"\n     },\n     %{\n       \"created\" => 1698785189,\n       \"id\" => \"dall-e-3\",\n       \"object\" => \"model\",\n       \"owned_by\" => \"system\"\n     }\n   ],\n   \"object\" => \"list\"\n }}\n```\n\n##","ref":"readme.html#list"},{"type":"extras","title":"Retrieve - HipcallOpenai","doc":"https://platform.openai.com/docs/api-reference/models/retrieve\n\n```elixir\niex(1)> HipcallOpenai.model(\"gpt-3.5-turbo-instruct\", config_override)\n{:ok,\n %{\n   \"created\" => 1692901427,\n   \"id\" => \"gpt-3.5-turbo-instruct\",\n   \"object\" => \"model\",\n   \"owned_by\" => \"system\"\n }}\n```","ref":"readme.html#retrieve"},{"type":"extras","title":"Roadmap - HipcallOpenai","doc":"- [ ] Add `Audio` endpoints\n- [ ] Add `Chat` endpoint\n- [ ] Add `Embeddings` endpoint\n- [ ] Add `Fine-tuning` endpoint\n- [ ] Add `Files` endpoint\n- [ ] Add `Images` endpoint\n- [ ] Add `Moderations` endpoint\n- [ ] Add `Beta - Assistants` endpoint\n- [ ] Add `Beta - Threads` endpoint\n- [ ] Add `Beta - Messages` endpoint\n- [ ] Add `Beta - Runs` endpoint\n- [ ] Add `Tools` or `Utils` calculate token, etc.","ref":"readme.html#roadmap"},{"type":"extras","title":"Hipcall - HipcallOpenai","doc":"All [Hipcall](https://www.hipcall.com/en-gb/) libraries:\n\n- [HipcallDisposableEmail](https://github.com/hipcall/hipcall_disposable_email) - Simple library checking the email's domain is disposable or not.\n- [HipcallDeepgram](https://github.com/hipcall/hipcall_deepgram) - Unofficial Deepgram API Wrapper written in Elixir.\n- [HipcallOpenai](https://github.com/hipcall/hipcall_openai) - Unofficial OpenAI API Wrapper written in Elixir.","ref":"readme.html#hipcall"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"- Add CHANGELOG.md\n- Add `models` endpoint\n- Add `Config` overwrite feature\n- Add ex_docs\n- Add `Dependabot` and `c.yml`","ref":"changelog.html#v0-1-0"},{"type":"extras","title":"LICENSE","doc":"Copyright 2024 [Hipcall LTD](https://www.hipcall.com/en-gb/)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}